import { geoPath, geoGraticule, geoAlbers } from 'd3';

const projection = geoAlbers();
const path = geoPath(projection);
const graticule = geoGraticule();

export const Marks = ({
  usMap: { state, interiors },
  cities,
  tooltipFormat
}) => (
  <g className="marks">
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path className="graticules" d={path(graticule())} />
    {state.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
    {cities.map(d => {
      const [x, y] = projection([d.LONGITUDE, d.LATITUDE]);
      return (
        <circle cx={x} cy={y} r={3}>
          <title>{tooltipFormat(d)}</title>
        </circle>
      );
    })}
  </g>
);
