import React, { useState, useCallback, useEffect } from 'react';
import { scaleOrdinal } from 'd3';
import ReactDOM from 'react-dom';
import { useUsMap } from './useUsMap';
import { useCities } from './useCities';
import { Marks } from './Marks';

const width = 960;
const height = 500;
const intiialMousePosition = { x: width / 2, y: height / 2};

const App = () => {
  const usMap = useUsMap();
  const cities = useCities();


  if (!usMap || !cities) {
    return <pre>Loading...</pre>;
  }

  const airportName = d => d.AIRPORT + '\n' + d.AIRPORT_NAME + ',' + d.AIRPORT_STATE;

  // console.log(usMap);
  console.log(cities[0]);
  
  return (
    <svg width={width} height={height}>
      <Marks
        usMap={usMap}
        cities={cities}
        tooltipFormat={airportName}
      />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
