import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/Echo226/d58e972330148cb6e55c8d4ab2496215/raw/dfac85eb7deae14373525354057f1d3bbb649e18/dep_delay.csv';

export const useCities = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    
    const row = d => {
      d.LATITUDE = +d.LATITUDE;
      d.LONGITUDE = +d.LONGITUDE;
      d.DEP_DELAY_OR_NOT = +d.DEP_DELAY_OR_NOT;
      d.DEP_DEL15 = +d.DEP_DEL15;
      return d;
    };
    
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
